Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class POElement

    java.lang.Object
      |
      +--examples.e2e.common.POElement

public final class POElement
extends java.lang.Object
implements java.io.Serializable

This class enumerates the elements found in E2E_PO or E2E_POAcknowledgement XML documents. This class defines a closed set of object instances that map to element names. An object corresponding to a specific element can be obtained by passing the element name string to the `getObject()` method.

See Also:
  Serialized Form

Field Summary
`static POElement` | `CREATION_DATE`
`static POElement` | `DELIVERY_DATE`
`static int` | `I_CREATION_DATE`
`static int` | `I_DELIVERY_DATE`
`static int` | `I_LINE_ITEM`
`static int` | `I_NOTE`
`static int` | `I_PART_DESCRIPTION`
`static int` | `I_PART_ID`
`static int` | `I_PO_ACK`
`static int` | `I_PO_CREATION_DATE`
`static int` | `I_PO_NUMBER`
`static int` | `I_PURCHASE_ORDER`
`static int` | `I_QUANTITY`
`static int` | `I_STATUS`
`static int` | `I_SUPPLIER_NAME`
`static int` | `I_TOTAL`
`static int` | `I_UNIT_CURRENCY`
`static int` | `I_UNIT_PRICE`
`static POElement` | `LINE_ITEM`
`static POElement` | `NOTE`
`static POElement` | `PART_DESCRIPTION`
`static POElement` | `PART_ID`
`static POElement` | `PO_ACK`
`static POElement` | `PO_CREATION_DATE`
`static POElement` | `PO_NUMBER`
`static POElement` | `PURCHASE_ORDER`
`static POElement` | `QUANTITY`
`static int` | `SIZE` defines the size of the closed set of instances of this class.
`static POElement` | `STATUS`
`static POElement` | `SUPPLIER_NAME`
`static POElement` | `TOTAL`
`static POElement` | `UNIT_CURRENCY`
`static POElement` | `UNIT_PRICE`

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `getInt()` Returns the unique integer value for this object.
`static POElement` | `getObject(java.lang.String token)` Given the name of an XML element this method will return the corresponding object.
`java.lang.String` | `getString()` Returns the name of the corresponding XML element.
`int` | `hashCode()`
`java.lang.String` | `toString()` Returns the name of the corresponding XML element.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

  defines the size of the closed set of instances of this class.

### I_PURCHASE_ORDER

    public static final int I_PURCHASE_ORDER

### PURCHASE_ORDER

    public static final POElement PURCHASE_ORDER

### I_PO_ACK

    public static final int I_PO_ACK

### PO_ACK

    public static final POElement PO_ACK

### I_PO_NUMBER

    public static final int I_PO_NUMBER

### PO_NUMBER

    public static final POElement PO_NUMBER

### I_CREATION_DATE

    public static final int I_CREATION_DATE

### CREATION_DATE

    public static final POElement CREATION_DATE

### I_PO_CREATION_DATE

    public static final int I_PO_CREATION_DATE

### PO_CREATION_DATE

    public static final POElement PO_CREATION_DATE

### I_STATUS

    public static final int I_STATUS

### STATUS

    public static final POElement STATUS

### I_SUPPLIER_NAME

    public static final int I_SUPPLIER_NAME

### SUPPLIER_NAME

    public static final POElement SUPPLIER_NAME

### I_LINE_ITEM

    public static final int I_LINE_ITEM

### LINE_ITEM

    public static final POElement LINE_ITEM

### I_PART_ID

    public static final int I_PART_ID

### PART_ID

    public static final POElement PART_ID

### I_PART_DESCRIPTION

    public static final int I_PART_DESCRIPTION

### PART_DESCRIPTION

    public static final POElement PART_DESCRIPTION

### I_QUANTITY

    public static final int I_QUANTITY

### QUANTITY

    public static final POElement QUANTITY

### I_UNIT_PRICE

    public static final int I_UNIT_PRICE

### UNIT_PRICE

    public static final POElement UNIT_PRICE

### I_UNIT_CURRENCY

    public static final int I_UNIT_CURRENCY

### UNIT_CURRENCY

    public static final POElement UNIT_CURRENCY

### I_DELIVERY_DATE

    public static final int I_DELIVERY_DATE

### DELIVERY_DATE

    public static final POElement DELIVERY_DATE

### I_NOTE

    public static final int I_NOTE

### NOTE

    public static final POElement NOTE

### I_TOTAL

    public static final int I_TOTAL

### TOTAL

    public static final POElement TOTAL

Method Detail

### toString

    public java.lang.String toString()

  Returns the name of the corresponding XML element.

  Overrides:
    toString in class java.lang.Object

### getString

    public java.lang.String getString()

  Returns the name of the corresponding XML element.

### getInt

    public int getInt()

  Returns the unique integer value for this object.

### getObject

    public static POElement getObject(java.lang.String token)

  Given the name of an XML element this method will return the corresponding object.

  Returns:
    the object corresponding to the token submitted or null if the token does not map to an object.

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    equals in class java.lang.Object

### hashCode

    public int hashCode()

  Overrides:
    hashCode in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved